Update Document
curl --request PATCH \
--url https://api.cartesia.ai/agents/documents/{document_id} \
--header 'Authorization: Bearer <token>' \
--header 'Cartesia-Version: <cartesia-version>' \
--header 'Content-Type: application/json' \
--data '
{
"content": "<string>",
"name": "<string>",
"metadata": {},
"folder_id": "<string>"
}
'import requests
url = "https://api.cartesia.ai/agents/documents/{document_id}"
payload = {
"content": "<string>",
"name": "<string>",
"metadata": {},
"folder_id": "<string>"
}
headers = {
"Cartesia-Version": "<cartesia-version>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {
'Cartesia-Version': '<cartesia-version>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({content: '<string>', name: '<string>', metadata: {}, folder_id: '<string>'})
};
fetch('https://api.cartesia.ai/agents/documents/{document_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "<string>",
"name": "<string>",
"content": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"metadata": {}
}Documents
Update Document
Update a knowledge base document’s name, content, metadata, or folder
PATCH
/
agents
/
documents
/
{document_id}
Update Document
Authorizations
Cartesia API key (sk_car_...). Get one at play.cartesia.ai/keys.
Headers
API version header.
Available options:
2026-03-01 Example:
"2026-03-01"
Path Parameters
The ID of the document.
Body
application/json
Fields to update on a document
New document text. Maximum 1 MB. Updating this property triggers re-indexing of the document.
Minimum string length:
1New display name. Pass null to clear.
Replacement metadata map. Updating this property triggers re-indexing of the document.
Show child attributes
Show child attributes
Move the document to a different folder.
Response
Document updated.
The ID of the document.
The document's display name, or null if unnamed.
The full document text.
When the document was uploaded.
User-defined string-keyed metadata.
Show child attributes
Show child attributes
Was this page helpful?
⌘I